Bug 352791 - iwl3945 causes unnecessary wakeups
iwl3945 causes unnecessary wakeups
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 13:18 EDT by Julian Sikorski
Modified: 2009-01-06 18:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-06 18:53:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2007-10-25 13:18:09 EDT
Description of problem:
iwl3945 generates about ~15 wakeups per second, even when network is down. It's
more than 10, so powertop reports it in bold

13,7% ( 10,8)       <interrupt> : iwl3945

Version-Release number of selected component (if applicable):
2.6.23.1-26.fc8

How reproducible:
always

Steps to Reproduce:
1. load iwl3945
2. disable network
3. start powertop
  
Actual results:
interrupts are generated

Expected results:
preserving more attery power
Comment 1 John W. Linville 2007-11-09 17:28:13 EST
What do you see as the standard to meet here?
Comment 2 Julian Sikorski 2007-11-10 04:32:36 EST
I think that disabling network with NetworkManager should take iwl3945 down from
the top of the list, similarly as using the kill switch does. Intel chose 10
wakeups per second as a threshold, so I believe we should stick to that. Note
that I am no expert and have no idea how many wakeups per second are required
for the hardware to work properly.
Comment 3 John W. Linville 2008-02-25 16:01:35 EST
http://bughost.org/bugzilla/show_bug.cgi?id=1617
Comment 4 Bug Zapper 2008-05-13 23:44:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 John W. Linville 2009-01-06 18:53:30 EST
I don't find this to be a problem with 2.6.27.5-117.fc10.i686...

Note You need to log in before you can comment on or make changes to this bug.